DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StringCompare

Compare two strings

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringCompare ( orig, copy, verdict )

## FUNCTION

This function uses the `strcmp` function to compare `orig` and `copy`. If the strings are different, an error is generated, or `verdict` obtains the value `DIP_FALSE`, if it is not zero.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `orig` | The original string
`dip_String` | `copy` | The fake (or not) string
`dip_Boolean *` | `verdict` | Verdict of the comparison

## SEE ALSO

`StringAppend`, `StringCat`, `StringCompareCaseInsensitive`, `StringCopy`, `StringCrop`, `StringNew`, `StringReplace`, `UnderscoreSpaces`